> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /domain/properties

> Get full Domain.com.au property listing details by listing id (or listing URL): address, price, bedrooms, bathrooms, parking, land and building size, property type, sale method, status, description, photos, videos, floor plans, inspection and auction times, the listing agency and agents, geolocation, features and sold price/date.

**Price:** 1 credit

**⚠️ Common errors:** 412: Listing not found, archived or removed (well-formed but nonexistent listing id)



## OpenAPI

````yaml /openapi/real-estate.json post /api/domain/properties
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/domain/properties:
    post:
      tags:
        - /domain
      summary: /domain/properties
      description: >-
        Get full Domain.com.au property listing details by listing id (or
        listing URL): address, price, bedrooms, bathrooms, parking, land and
        building size, property type, sale method, status, description, photos,
        videos, floor plans, inspection and auction times, the listing agency
        and agents, geolocation, features and sold price/date.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Listing not found, archived or removed
        (well-formed but nonexistent listing id)
      operationId: __api_domain_properties_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DomainPropertiesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DomainProperty'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DomainPropertiesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        listing:
          type: string
          minLength: 1
      type: object
      required:
        - listing
    DomainProperty:
      properties:
        '@type':
          type: string
          default: DomainProperty
        id:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        headline:
          anyOf:
            - type: string
            - type: 'null'
        channel:
          anyOf:
            - type: string
            - type: 'null'
        objective:
          anyOf:
            - type: string
            - type: 'null'
        listing_type:
          anyOf:
            - type: string
            - type: 'null'
        listing_mode:
          anyOf:
            - type: string
            - type: 'null'
        sale_method:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        promo_level:
          anyOf:
            - type: string
            - type: 'null'
        property_type:
          anyOf:
            - type: string
            - type: 'null'
        property_types:
          items:
            type: string
          type: array
          default: []
        bedroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        bathroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        parking_count:
          anyOf:
            - type: integer
            - type: 'null'
        land_size:
          anyOf:
            - type: number
            - type: 'null'
        building_size:
          anyOf:
            - type: number
            - type: 'null'
        building_size_unit:
          anyOf:
            - type: string
            - type: 'null'
        is_rural:
          anyOf:
            - type: boolean
            - type: 'null'
        energy_rating:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: integer
            - type: 'null'
        price_label:
          anyOf:
            - type: string
            - type: 'null'
        price_min:
          anyOf:
            - type: integer
            - type: 'null'
        price_max:
          anyOf:
            - type: integer
            - type: 'null'
        can_display_price:
          anyOf:
            - type: boolean
            - type: 'null'
        bond:
          anyOf:
            - type: integer
            - type: 'null'
        address:
          anyOf:
            - $ref: '#/components/schemas/DomainAddress'
            - type: 'null'
        features:
          items:
            type: string
          type: array
          default: []
        images:
          items:
            type: string
          type: array
          default: []
        videos:
          items:
            type: string
          type: array
          default: []
        floor_plans:
          items:
            type: string
          type: array
          default: []
        virtual_tour_url:
          anyOf:
            - type: string
            - type: 'null'
        listed_at:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        sold_price:
          anyOf:
            - type: integer
            - type: 'null'
        sold_price_label:
          anyOf:
            - type: string
            - type: 'null'
        sold_at:
          anyOf:
            - type: string
            - type: 'null'
        auction:
          anyOf:
            - $ref: '#/components/schemas/DomainAuction'
            - type: 'null'
        inspections:
          items:
            $ref: '#/components/schemas/DomainInspection'
          type: array
          default: []
        agency:
          anyOf:
            - $ref: '#/components/schemas/DomainPropertyAgency'
            - type: 'null'
        agents:
          items:
            $ref: '#/components/schemas/DomainPropertyAgent'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DomainAddress:
      properties:
        '@type':
          type: string
          default: DomainAddress
        display:
          anyOf:
            - type: string
            - type: 'null'
        street:
          anyOf:
            - type: string
            - type: 'null'
        street_number:
          anyOf:
            - type: string
            - type: 'null'
        unit_number:
          anyOf:
            - type: string
            - type: 'null'
        suburb:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        postcode:
          anyOf:
            - type: string
            - type: 'null'
        geolocation:
          anyOf:
            - $ref: '#/components/schemas/DomainGeolocation'
            - type: 'null'
      type: object
    DomainAuction:
      properties:
        '@type':
          type: string
          default: DomainAuction
        starts_at:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    DomainInspection:
      properties:
        '@type':
          type: string
          default: DomainInspection
        starts_at:
          anyOf:
            - type: string
            - type: 'null'
        ends_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    DomainPropertyAgency:
      properties:
        '@type':
          type: string
          default: DomainPropertyAgency
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        is_archived:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    DomainPropertyAgent:
      properties:
        '@type':
          type: string
          default: DomainPropertyAgent
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        mobile:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    DomainGeolocation:
      properties:
        '@type':
          type: string
          default: DomainGeolocation
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````